
/*
 * Copyright (c) Developers of JMST
 * Redistributable and modifiable. Please see license.readme for details.
 *
 * ammendment history
 * <date>			<changed by>		<summary of changes>
 * 25 August 2004	Jonee Ryan Ty		First documented history
 *
 */
 
import java.awt.Color;

public final class Constants {
	
	public static final int CANV_WIDTH 	= 300,
							CANV_HEIGHT	= 300,
								
							APP_WIDTH 		= 410,
							APP_HEIGHT		= 425,
							APP_VSPACING	= 13,

							ANIM = 800,
							
							DIAMETER = 12,	// node diameter when drawn
							RADIUS = DIAMETER / 2;
					
					// half the "thickness" of an edge in mouse events
	public static final double ALLOWANCE = 2.0;
	
	public static final Color 	LINE_COLOR 	= Color.lightGray,
								LINE_WRITE 	= Color.darkGray,
								NODE_WRITE 	= Color.black,
									// background for both app and canv	
								BACK_COL	= Color.white,
	
											// node colors used
								COL[] = {Color.red, Color.yellow, Color.pink, 
		Color.cyan, Color.green, Color.magenta, Color.orange};
		
	public static final String 	TITLE = "JMST: MST Algorithms of Prim and Kruskal",
								COPYRIGHT = 
									"(c) GPL by the developers of JMST",
								ERROR_1 = "An isolated point exists.",
								ERROR_2 = "The graph is not connected",
								ERROR_3 = "No graph";
								
}
